nxt.ce

## Class CoinExchange.Order

- java.lang.Object
- - nxt.ce.CoinExchange.Order

- Enclosing class:
    CoinExchange

      public static final class CoinExchange.Order
      extends java.lang.Object

  Define a coin exchange order 'id' and 'fullHash' identify the coin exchange order 'chainId' is the chain identifier for the coin being exchanged 'exchangeId' is the chain identifier for the requested coin 'quantity' is the number of coins being exchanged (updated after each trade) 'bidPrice' is the bid price for the requested coin and is the exchange order price 'askPrice' is the ask price for coin being exchanged and is 1/bidPrice

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccountId()`
    `long` | `getAmountNQT()`
    `java.math.BigDecimal` | `getAskPrice()`
    `long` | `getAskPriceNQT()`
    `java.math.BigDecimal` | `getBidPrice()`
    `long` | `getBidPriceNQT()`
    `int` | `getChainId()`
    `int` | `getExchangeId()`
    `byte[]` | `getFullHash()`
    `int` | `getHeight()`
    `long` | `getId()`
    `long` | `getQuantityQNT()`
    `int` | `getTransactionHeight()`
    `int` | `getTransactionIndex()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public final long getId()

    - #### getFullHash

          public final byte[] getFullHash()

    - #### getAccountId

          public final long getAccountId()

    - #### getChainId

          public final int getChainId()

    - #### getExchangeId

          public final int getExchangeId()

    - #### getBidPriceNQT

          public final long getBidPriceNQT()

    - #### getBidPrice

          public final java.math.BigDecimal getBidPrice()

    - #### getAskPriceNQT

          public final long getAskPriceNQT()

    - #### getAskPrice

          public final java.math.BigDecimal getAskPrice()

    - #### getQuantityQNT

          public final long getQuantityQNT()

    - #### getAmountNQT

          public final long getAmountNQT()

    - #### getHeight

          public final int getHeight()

    - #### getTransactionIndex

          public final int getTransactionIndex()

    - #### getTransactionHeight

          public final int getTransactionHeight()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`